%define major            1
%define libextension     %mklibname signon-extension %major
%define libpluginscommon %mklibname signon-plugins-common %major
%define libplugins       %mklibname signon-plugins %major

%define libqt            %mklibname signon-qt5_ %major
%define develextension   %mklibname signon-extension -d
%define develplugins     %mklibname signon-plugins-common -d
%define develqt          %mklibname signon-qt5 -d
%define develd           %mklibname signond -d

%define tag0    VERSION_%{version}
%define commit0 4d195e4dc7a47ff5cb51e36a83d4d05808c5befe

Name:           signon
Version:        8.60
Release:        %mkrel 6
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials
License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/signond
Source0:        https://gitlab.com/accounts-sso/signond/repository/archive.tar.gz?ref=%{tag0}#/%{name}-%{version}.tar.gz
Source1:        https://gitlab.com/accounts-sso/signon-dbus-specification/-/archive/master/signon-dbus-specification-master.tar.gz
Patch0:         signon-8.57-no_static.patch

BuildRequires:  doxygen
BuildRequires:  gcc-c++

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

Requires:       %{name}d = %{version}

%description
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libextension}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libextension}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libpluginscommon}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libpluginscommon}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libplugins}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libplugins}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{libqt}
Group:          System/Libraries
Summary:        A framework for centrally storing authentication credentials

%description -n %{libqt}
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{develextension}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libextension} = %{version}-%{release}

%description -n %{develextension}
The %{develextension} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{develplugins}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libpluginscommon} = %{version}-%{release}
Requires:       %{libplugins} = %{version}-%{release}

Obsoletes:      %{_lib}signon-plugins-commo-devel < 8.60-2

%description -n %{develplugins}
The %{develplugins} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{develqt}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libqt} = %{version}-%{release}

%description -n %{develqt}
The %{develqt} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{name}d
Summary:        A framework for centrally storing authentication credentials
Group:          System/Libraries

%description -n %{name}d
Single Sign-On is a framework for centrally storing authentication credentials
and handling authentication on behalf of applications as requested by
applications. It consists of a secure storage of login credentials (for example
usernames and passwords), plugins for different authentication systems and a
client library for applications to communicate with this system.

%package -n %{develd}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}d = %{version}

%description -n %{develd}
The %{develd} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n signond-%{tag0}-%{commit0} -a1
%autopatch -p1

mv signon-dbus-specification-master/* lib/signond/interfaces/

%build
%qmake_qt5 signon.pro LIBDIR=%{_libdir}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_sysconfdir}/signond.conf
%{_bindir}/signonpluginprocess
%dir %{_libdir}/signon
%{_libdir}/signon/*.so
%{_datadir}/dbus-1/services/*.service

%files -n %{libextension}
%{_libdir}/libsignon-extension.so.%{major}
%{_libdir}/libsignon-extension.so.%{major}.*

%files -n %{develextension}
%{_libdir}/libsignon-extension.so
%{_libdir}/pkgconfig/SignOnExtension.pc
%{_includedir}/signon-extension

%files -n %{libpluginscommon}
%{_libdir}/libsignon-plugins-common.so.%{major}
%{_libdir}/libsignon-plugins-common.so.%{major}.*

%files -n %{libplugins}
%{_libdir}/libsignon-plugins.so.%{major}
%{_libdir}/libsignon-plugins.so.%{major}.*

%files -n %{develplugins}
%{_libdir}/libsignon-plugins-common.so
%{_libdir}/libsignon-plugins.so
%{_libdir}/pkgconfig/signon-plugins-common.pc
%{_libdir}/pkgconfig/signon-plugins.pc
%{_includedir}/signon-plugins

%files -n %{libqt}
%{_libdir}/libsignon-qt5.so.%{major}
%{_libdir}/libsignon-qt5.so.%{major}.*

%files -n %{develqt}
%{_libdir}/libsignon-qt5.so
%{_libdir}/pkgconfig/libsignon-qt5.pc
%{_includedir}/signon-qt5
%{_libdir}/cmake/SignOnQt5

%files -n %{name}d
%{_bindir}/signond
%{_datadir}/dbus-1/interfaces/*.xml

%files -n %{develd}
%{_libdir}/pkgconfig/signond.pc
%{_includedir}/signond

%files doc
%{_datadir}/doc/libsignon-qt
%{_datadir}/doc/signon
%{_datadir}/doc/signon-plugins
%{_datadir}/doc/signon-plugins-dev


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 8.60-6.mga8
+ Revision: 1659848
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 8.60-5.mga8
+ Revision: 1534716
- Mageia 8 Mass Rebuild

* Sun Oct 06 2019 daviddavid <daviddavid> 8.60-4.mga8
+ Revision: 1449894
- main signon pkg requires signond

* Tue Apr 02 2019 umeabot <umeabot> 8.60-3.mga7
+ Revision: 1384800
- Qt5 Rebuild

* Sat Jan 26 2019 daviddavid <daviddavid> 8.60-2.mga7
+ Revision: 1361093
- fix signon-plugins-common devel pkg name

* Sun Oct 21 2018 daviddavid <daviddavid> 8.60-1.mga7
+ Revision: 1323190
- new version: 8.60

* Sun Sep 23 2018 umeabot <umeabot> 8.59-3.mga7
+ Revision: 1301025
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 pterjan <pterjan> 8.59-2.mga7
+ Revision: 1238796
- Force LIBDIR, it gets it wrong (but only for plugins...) on aarch64

* Sun Dec 04 2016 daviddavid <daviddavid> 8.59-1.mga6
+ Revision: 1072456
- new version: 8.59 (fixes mga#17528)
- update URL and Source URL

* Sun Mar 06 2016 blino <blino> 8.57-3.mga6
+ Revision: 986285
- Mageia 6 Mass Rebuild
+ luigiwalser <luigiwalser>
- update URL

* Sun Jul 19 2015 neoclust <neoclust> 8.57-2.mga6
+ Revision: 855242
- Rename libs ( lmenut)

* Sun Jul 19 2015 neoclust <neoclust> 8.57-1.mga6
+ Revision: 855237
- New version 8.57

* Wed Oct 15 2014 umeabot <umeabot> 8.56-3.mga5
+ Revision: 743917
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8.56-2.mga5
+ Revision: 689154
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 fwang <fwang> 8.56-1.mga5
+ Revision: 667226
- 8.56

* Sat Oct 19 2013 umeabot <umeabot> 8.54-2.mga4
+ Revision: 536216
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 8.54-1.mga4
+ Revision: 483713
- new version 8.54

* Fri May 31 2013 fwang <fwang> 8.51-1.mga4
+ Revision: 433583
- update file list
- new version 8.51

* Mon Jan 14 2013 umeabot <umeabot> 8.44-4.mga3
+ Revision: 382017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 8.44-3.mga3
+ Revision: 329519
- update file list

* Tue Dec 11 2012 fwang <fwang> 8.44-2.mga3
+ Revision: 329515
- split out dbus interface files

* Tue Dec 11 2012 fwang <fwang> 8.44-1.mga3
+ Revision: 329510
- update file list
- update file list
- update file list
- add more sub packages
- update pkgname
- update file list
- update file list
- add more br
- imported package signon

